LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Client.UI.TutorialHints

Synopsis

- data TutorialHints
  - = DamageOfDifferentKind
  - | NewFloorNewOpportunity
  - | CannotHarmYouInMelee
  - | CaughtProjectile
  - | HitsWithNoDirectDamage
  - | TemporaryConditions
  - | WokenUpActors
  - | AvoidWalkingEnemies
  - | AlotOfDamageFromOneSource
  - | TerrainNotFullyKnown
  - | OutOfSightEvents
  - | HearingRadius
  - | SwitchTeammate
  - | MeleeEnemies
  - | UseTerrainEffect
  - | SwitchPointmanAndAvoidMeleeAlone
  - | SwitchPointmanAndSoftenFoes
- renderTutorialHints :: TutorialHints -> Text

# Documentation

data TutorialHints Source #

Constructors

DamageOfDifferentKind |
NewFloorNewOpportunity |
CannotHarmYouInMelee |
CaughtProjectile |
HitsWithNoDirectDamage |
TemporaryConditions |
WokenUpActors |
AvoidWalkingEnemies |
AlotOfDamageFromOneSource |
TerrainNotFullyKnown |
OutOfSightEvents |
HearingRadius |
SwitchTeammate |
MeleeEnemies |
UseTerrainEffect |
SwitchPointmanAndAvoidMeleeAlone |
SwitchPointmanAndSoftenFoes |

renderTutorialHints :: TutorialHints -> Text Source #

Generate the standard textual representation for the tutorial hints.